# $Revision: 1.93 $, $Date: 2012/02/07 21:57:58 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA modules
%bcond_without	dga2	# without DGA2 module
%bcond_without	jack	# without JACK module
%bcond_with	svga	# without svgalib module
%bcond_without	vga	# without vga module (x86-only)
#
%ifnarch %{ix86}
# x86_64 too?
%undefine	with_vga
%endif
Summary:	A game programming library
Summary(de.UTF-8):	Eine Bibliothek zur Programmierung von Spielen
Summary(es.UTF-8):	Una biblioteca de programación de juegos
Summary(fr.UTF-8):	Une librairie de programmation de jeux
Summary(it.UTF-8):	Una libreria per la programmazione di videogiochi
Summary(pl.UTF-8):	Biblioteka do programowania gier
Name:		allegro
Version:	4.4.2
Release:	3
License:	Giftware
Group:		Libraries
Source0:	http://downloads.sourceforge.net/alleg/%{name}-%{version}.tar.gz
# Source0-md5:	4db71b0460fc99926ae91d223199c2e6
Patch0:		%{name}-info.patch
Patch1:		%{name}-config.patch
URL:		http://alleg.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9}
BuildRequires:	cmake >= 2.6
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

%description -l de.UTF-8
Allegro ist eine plattformübergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.

%description -l es.UTF-8
Allegro es una librería multi-plataforma creada para ser usada en la
programación de juegos u otro tipo de programación multimedia.

%description -l fr.UTF-8
Allegro est une librairie multi-plateforme destinée à être utilisée
dans les jeux vidéo ou d'autres types de programmation multimédia.

%description -l it.UTF-8
Allegro è una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale.

%description -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

%package devel
Summary:	A game programming library - header files
Summary(es.UTF-8):	Archivos de inclusión
Summary(pl.UTF-8):	Biblioteka do programowania gier - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXpm-devel
Requires:	xorg-lib-libXxf86vm-devel
Obsoletes:	allegro-static

%description devel
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains header files neccessary for compiling
applications using allegro library.

%description devel -l de.UTF-8
Allegro ist eine plattformübergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.
Dieses Paket wird benötigt, um Programme zu bauen, die Allegro
verwenden.

%description devel -l es.UTF-8
Allegro es una librería multi-plataforma creada para ser usada en la
programación de juegos u otro tipo de programación multimedia. Este
paquete es necesario para compilar los programas que usen Allegro.

%description devel -l fr.UTF-8
Allegro est une librairie multi-plateforme destinée à être utilisée
dans les jeux vidéo ou d'autres types de programmation multimédia. Ce
package est nécessaire pour compiler les programmes utilisant Allegro.

%description devel -l it.UTF-8
Allegro è una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale. Questo
pacchetto è necessario per compilare programmi scritti con Allegro.

%description devel -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera pliki nagłówkowe niezbędne do kompilowania
aplikacji wykorzystujących bibliotekę allegro.

%package dga2
Summary:	A game programming library - DGA2 module
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduł dla DGA2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description dga2
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with DGA.

%description dga2 -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduł do wykorzystania z DGA.

%package fbcon
Summary:	A game programming library - FrameBuffer module
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduł dla FrameBuffera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fbcon
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with Linux FrameBuffer.

%description fbcon -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduł do wykorzystania z linuksowym FrameBufferem.

%package svgalib
Summary:	A game programming library - svgalib module
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduł dla svgalib
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description svgalib
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with allegro and svgalib.

%description svgalib -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduł do wykorzystania allegro z svgalibem.

%package vga
Summary:	A game programming library - vga module
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduł dla vga
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description vga
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with vga.

%description vga -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduł do wykorzystania z vga.

%package alsa
Summary:	A game programming library - ALSA modules
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduły dla ALSA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	allegro-alsa9

%description alsa
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains modules for use with ALSA sound library.

%description alsa -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduły do wykorzystania z biblioteką dźwiękową
ALSA.

%package jack
Summary:	A game programming library - JACK module
Summary(pl.UTF-8):	Biblioteka do programowania gier - moduł dla JACK-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description jack
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with JACK sound library.

%description jack -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduł do wykorzystania z biblioteką dźwiękową JACK.

%package addons
Summary:	Allegro addon libraries
Summary(pl.UTF-8):	Dodatkowe biblioteki Allegro
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	allegro-gl

%description addons
Allegro addon libraries: AllegroGL, JPGAlleg, loadpng, logg.

%description addons -l pl.UTF-8
Dodatkowe biblioteki Allegro: AllegroGL, JPGAlleg, loadpng, logg.

%package addons-devel
Summary:	Header files for Allegro addon libraries
Summary(pl.UTF-8):	Pliki nagłówkowe dodatkowych bibliotek Allegro
Group:		Development/Libraries
Requires:	%{name}-addons = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	OpenGL-devel
Requires:	libpng-devel
Requires:	libvorbis-devel
Obsoletes:	allegro-gl-devel

%description addons-devel
Header files for Allegro addon libraries: AllegroGL, JPGAlleg,
loadpng, logg.

%description addons-devel -l pl.UTF-8
Pliki nagłówkowe dodatkowych bibliotek Allegro: AllegroGL, JPGAlleg,
loadpng, logg.

%package tools
Summary:	A game programming library - tools
Summary(de.UTF-8):	Zusätzliche Hilfprogramme für die Allegro Bibliothek
Summary(es.UTF-8):	Herramientas adicionales para la librería de programación Allegro
Summary(fr.UTF-8):	Outils supplémentaires pour la librairie de programmation Allegro
Summary(it.UTF-8):	Programmi di utilità aggiuntivi per la libreria Allegro
Summary(pl.UTF-8):	Biblioteka do programowania gier - narzędzia
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains tools.

%description tools -l de.UTF-8
Allegro ist eine plattformübergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.
Dieses Paket enthält Programme, die für die Entwicklung von Allegro
Programmen hilfreich sind.

%description tools -l es.UTF-8
Allegro es una librería multi-plataforma creada para ser usada en la
programación de juegos u otro tipo de programación multimedia. Este
paquete contiene herramientas adicionales que son útiles para
desarrollar programas que usen Allegro.

%description tools -l fr.UTF-8
Allegro est une librairie multi-plateforme destinée à être utilisée
dans les jeux vidéo ou d'autres types de programmation multimédia. Ce
package contient des outils supplémentaires qui sont utiles pour le
développement de programmes avec Allegro.

%description tools -l it.UTF-8
Allegro è una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale. Questo
pacchetto contiene programmi di utilità aggiuntivi utili allo sviluppo
di programmi con Allegro.

%description tools -l pl.UTF-8
Allegro jest przenośną biblioteką przeznaczoną do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera narzędzia.

%package tests
Summary:	A game programming library - test programs
Summary(pl.UTF-8):	Biblioteka do programowania gier - programy testujące
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description tests
This package contains programs for testing allegro library.

%description tests -l pl.UTF-8
Pakiet zawiera programy testujące bibliotekę allegro.

%package examples
Summary:	A game programming library - examples
Summary(pl.UTF-8):	Biblioteka do programowania gier - programy przykładowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs which demonstrate allegro
features.

%description examples -l pl.UTF-8
Pakiet zawiera programy przykładowe demonstrujące możliwości
biblioteki allegro.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's/ADDON_LINKAGE STATIC/ADDON_LINKAGE SHARED/' CMakeLists.txt

%build
install -d build
cd build
%cmake .. \
	-DINFODIR=%{_infodir} \
	-DPLATFORM_LIBS=-ldl \
	%{!?with_alsa:-DWANT_ALSA=OFF} \
	-DWANT_LINUX_CONSOLE=ON \
	%{!?with_vga:-DWANT_LINUX_VGA=OFF} \
	%{!?with_svga:-DWANT_LINUX_SVGALIB=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install modules.lst $RPM_BUILD_ROOT%{_libdir}/allegro/%{version}

# install examples and tests
find build/examples -maxdepth 1 -perm 755 -name "ex*" -exec install {} $RPM_BUILD_ROOT%{_bindir} \;
find build/tests -maxdepth 1 -perm 755 ! -name CMakeFiles -exec install {} $RPM_BUILD_ROOT%{_bindir} \;

# force install man pages
cp build/docs/man/* $RPM_BUILD_ROOT%{_mandir}/man3

mv $RPM_BUILD_ROOT%{_bindir}/play{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/test{,-allegro}

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/allegro-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	addons -p /sbin/ldconfig
%postun	addons -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES THANKS readme.txt todo.txt
%attr(755,root,root) %{_libdir}/liballeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liballeg.so.4.4
%dir %{_libdir}/allegro
%dir %{_libdir}/allegro/%{version}
%{_libdir}/allegro/%{version}/modules.lst

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/allegro-config
%attr(755,root,root) %{_libdir}/liballeg.so
%{_includedir}/allegro
%{_includedir}/allegro.h
%{_includedir}/linalleg.h
%{_includedir}/xalleg.h
# XXX: aren't some names too generic?
%{_mandir}/man3/*.3*
%{_infodir}/allegro.info*
%{_pkgconfigdir}/allegro.pc

%if %{with dga2}
%files dga2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-dga2.so
%endif

%files fbcon
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-fbcon.so

%if %{with svga}
%files svgalib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-svgalib.so
%endif

%if %{with vga}
%files vga
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-vga.so
%endif

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-alsadigi.so
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-alsamidi.so
%endif

%if %{with jack}
%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-jack.so
%endif

%files addons
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liballeggl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liballeggl.so.4.4
%attr(755,root,root) %{_libdir}/libjpgalleg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjpgalleg.so.4.4
%attr(755,root,root) %{_libdir}/libloadpng.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloadpng.so.4.4
%attr(755,root,root) %{_libdir}/liblogg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblogg.so.4.4

%files addons-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liballeggl.so
%attr(755,root,root) %{_libdir}/libjpgalleg.so
%attr(755,root,root) %{_libdir}/libloadpng.so
%attr(755,root,root) %{_libdir}/liblogg.so
%{_includedir}/allegrogl
%{_includedir}/alleggl.h
%{_includedir}/jpgalleg.h
%{_includedir}/loadpng.h
%{_includedir}/logg.h
%{_pkgconfigdir}/allegrogl.pc
%{_pkgconfigdir}/jpgalleg.pc
%{_pkgconfigdir}/loadpng.pc
%{_pkgconfigdir}/logg.pc

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/colormap
%attr(755,root,root) %{_bindir}/exedat
%attr(755,root,root) %{_bindir}/pack
%attr(755,root,root) %{_bindir}/rgbmap
%attr(755,root,root) %{_bindir}/textconv
%attr(755,root,root) %{_bindir}/dat
%attr(755,root,root) %{_bindir}/dat2c
%attr(755,root,root) %{_bindir}/dat2s
%attr(755,root,root) %{_bindir}/grabber
%attr(755,root,root) %{_bindir}/pat2dat

%files tests
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/afinfo
%attr(755,root,root) %{_bindir}/akaitest
%attr(755,root,root) %{_bindir}/digitest
%attr(755,root,root) %{_bindir}/filetest
%attr(755,root,root) %{_bindir}/gfxinfo
%attr(755,root,root) %{_bindir}/mathtest
%attr(755,root,root) %{_bindir}/miditest
%attr(755,root,root) %{_bindir}/play-allegro
%attr(755,root,root) %{_bindir}/playfli
%attr(755,root,root) %{_bindir}/test-allegro
%attr(755,root,root) %{_bindir}/vesainfo

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ex12bit
%attr(755,root,root) %{_bindir}/ex3buf
%attr(755,root,root) %{_bindir}/ex3d
%attr(755,root,root) %{_bindir}/exaccel
%attr(755,root,root) %{_bindir}/exalpha
%attr(755,root,root) %{_bindir}/exbitmap
%attr(755,root,root) %{_bindir}/exblend
%attr(755,root,root) %{_bindir}/excamera
%attr(755,root,root) %{_bindir}/excolmap
%attr(755,root,root) %{_bindir}/exconfig
%attr(755,root,root) %{_bindir}/excustom
%attr(755,root,root) %{_bindir}/exdata
%attr(755,root,root) %{_bindir}/exdbuf
%attr(755,root,root) %{_bindir}/exexedat
%attr(755,root,root) %{_bindir}/exfixed
%attr(755,root,root) %{_bindir}/exflame
%attr(755,root,root) %{_bindir}/exflip
%attr(755,root,root) %{_bindir}/exfont
%attr(755,root,root) %{_bindir}/exgui
%attr(755,root,root) %{_bindir}/exhello
%attr(755,root,root) %{_bindir}/exjoy
%attr(755,root,root) %{_bindir}/exkeys
%attr(755,root,root) %{_bindir}/exlights
%attr(755,root,root) %{_bindir}/exmem
%attr(755,root,root) %{_bindir}/exmidi
%attr(755,root,root) %{_bindir}/exmouse
%attr(755,root,root) %{_bindir}/expackf
%attr(755,root,root) %{_bindir}/expal
%attr(755,root,root) %{_bindir}/expat
%attr(755,root,root) %{_bindir}/exquat
%attr(755,root,root) %{_bindir}/exrgbhsv
%attr(755,root,root) %{_bindir}/exrotscl
%attr(755,root,root) %{_bindir}/extrans2
%attr(755,root,root) %{_bindir}/exsample
%attr(755,root,root) %{_bindir}/exsyscur
%attr(755,root,root) %{_bindir}/exscale
%attr(755,root,root) %{_bindir}/exscn3d
%attr(755,root,root) %{_bindir}/exscroll
%attr(755,root,root) %{_bindir}/exshade
%attr(755,root,root) %{_bindir}/exspline
%attr(755,root,root) %{_bindir}/exsprite
%attr(755,root,root) %{_bindir}/exstars
%attr(755,root,root) %{_bindir}/exstream
%attr(755,root,root) %{_bindir}/exswitch
%attr(755,root,root) %{_bindir}/extimer
%attr(755,root,root) %{_bindir}/extrans
%attr(755,root,root) %{_bindir}/extruec
%attr(755,root,root) %{_bindir}/exunicod
%attr(755,root,root) %{_bindir}/exupdate
%attr(755,root,root) %{_bindir}/exxfade
%attr(755,root,root) %{_bindir}/exzbuf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: allegro.spec,v $
Revision 1.93  2012/02/07 21:57:58  arekm
- release 3

Revision 1.92  2011/12/20 19:42:05  arekm
- release 2

Revision 1.91  2011/08/12 18:39:33  qboosh
- pass alsa bcond as cmake option

Revision 1.90  2011/08/09 11:17:14  lisu
- updated to 4.4.2
- use %%{version} in paths

Revision 1.89  2011/02/04 08:00:30  lisu
- cmake macro was fixed i rpm-build-macros 1.600

Revision 1.88  2011/02/04 00:04:39  sparky
- svga is no more - bcond disabled

Revision 1.87  2011/02/03 23:13:01  draenog
- new cmake makro

Revision 1.86  2010/10/15 06:53:34  qboosh
- release 2

Revision 1.85  2010/10/15 05:50:00  qboosh
- Obsoletes for allegro-gl*

Revision 1.84  2010/10/15 05:46:02  qboosh
- build shared addons (alleggl,jpgalleg,loadpng,logg); package as addons/addons-devel

Revision 1.83  2010/10/14 07:43:52  qboosh
- updated todo

Revision 1.82  2010/10/14 07:41:21  qboosh
- moved static-only addon libs to -devel; -static is gone

Revision 1.81  2010/10/14 07:27:17  qboosh
- dropped outdated/unsupported/unmaintained frame-pointer patch
- restored svgalib BR
- pass CMAKE_C_FLAGS_RELEASE to avoid overriding our optflags by -O3

Revision 1.80  2010/10/14 07:04:55  qboosh
- fixed "let's create empty packages to hide functionality loss" idiocy
- added fbcon driver

Revision 1.79  2010/10/14 06:06:45  qboosh
- ghost soname symlink in base, .so in -devel
- fixed empty clean

Revision 1.78  2010/07/22 11:17:30  lisu
- link with -ldl
- proper find syntax

Revision 1.77  2010/05/14 01:53:23  sparky
- BR: OpenGL-GLU-devel, OpenGL-devel, jack-audio-connection-kit-devel,
  libogg-devel, libpng-devel, libstdc++-devel, libvorbis-devel, pkgconfig
- commented out unused BR: svgalib-devel

Revision 1.76  2010/03/17 08:31:43  lisu
- works fine, rel 1

Revision 1.75  2010/03/16 11:56:08  lisu
- package rest of static libraries and pkgconfig files

Revision 1.74  2010/03/16 11:40:06  lisu
- packages allegro.pc with -devel
- more TODO

Revision 1.73  2010/03/16 11:28:42  lisu
- force install of man pages - should works at any time now

Revision 1.72  2010/03/16 11:09:58  lisu
- start update to 4.4.1.1 (4.4 branch)
- switch to cmake build system
        - proper BRs
        - bconds updated for cmake
        - patches clean up (removed unneeded, rest updated)
- some of the additional packages have been obsoleted
- there are still some things TODO

Revision 1.71  2008/01/24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.70  2007-06-17 10:00:40  lisu
- 4.3.1
- new example file: exnew_events

Revision 1.69  2007/04/03 19:28:20  qboosh
- xorg deps

Revision 1.68  2007/04/01 17:42:20  rotom
- up to 4.3.0

Revision 1.67  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.65  2006/12/26 12:02:32  lisu
- up to 4.2.1

Revision 1.64  2006/11/13 14:51:45  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.63  2006/04/16 20:28:09  qboosh
- added config patch to kill -L/usr/lib from `allegro-config --libs`

Revision 1.62  2005/11/15 16:51:45  qboosh
- still use metapackage name in X11 BR

Revision 1.61  2005/11/13 18:47:46  wolf
- updated to 4.2.0
- removed unnecessary patches (resolved in sources), updated others
- added more bconds
- fixed BuildRequires
- adapterized, fixed Polish descriptions
- added previously unpacked files
(kiesyoo at o2 pl)

Revision 1.60  2005/05/21 19:24:48  qboosh
- updated to 4.1.18
- fixed info patch, added asm patch for current gas
- run fix-info-dir in -devel post/postun

Revision 1.59  2005/01/16 22:48:29  qboosh
- updated to 4.1.17, updated examples patch

Revision 1.58  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.57  2004/11/04 19:36:12  ankry
- pl fix

Revision 1.56  2004/07/31 13:58:49  qboosh
- updated to 4.1.15, updated opt patch, added am18 patch

Revision 1.55  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.54  2004/05/23 21:14:34  grzegol
- updated to 4.1.14
- added jack subpackage and without_jack bcond

Revision 1.53  2004/03/05 21:27:02  grzegol
- updated to 4.1.13
- strict internal deps

Revision 1.52  2004/01/02 14:06:54  jajcus
- Release: 3

Revision 1.51  2003/12/29 12:52:33  jajcus
- fix for compilation with alsa-lib-1.0.0rc2

Revision 1.50  2003/11/12 00:01:21  qboosh
- fixed opt patch, updated frame-pointer patch, cleanups
- vga os built only on x86

Revision 1.49  2003/11/11 22:40:52  qboosh
- added -I for artsc headers

Revision 1.48  2003/11/11 22:20:46  qboosh
- updated to 4.1.12, updated info,opt patches, removed obsolete alsa9 patch
- new-style bconds, some cleanups (and some for testing)

Revision 1.47  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.46  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.45  2003/10/22 13:00:01  wolf
- kernel headers mumbo-jumbo

Revision 1.44  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.43  2003/10/02 20:47:31  wolf
- there is no fbcon

Revision 1.42  2003/10/02 05:31:29  witekfl
- added frame-pointer.patch

Revision 1.41  2003/08/31 19:14:44  wolf
- --disable-asm is also req'd

Revision 1.40  2003/08/31 19:00:48  wolf
- get rid of alsa shit

Revision 1.39  2003/08/31 18:58:59  wolf
- w/o sse bcond

Revision 1.38  2003/08/28 22:12:18  qboosh
- updated alsa9 patch (builds, !tested), made it default

Revision 1.37  2003/08/25 17:17:16  wolf
- as mmazur said: do not require knowing magic to build

Revision 1.36  2003/08/24 23:01:04  wolf
- 4.1.11

Revision 1.35  2003/08/06 16:07:34  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.34  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 05:45:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/08 12:26:03  trojan
- added without svgalib bcond

Revision 1.31  2003/02/05 14:37:49  qboosh
- sorted translations, removed duplicate -tests and -examples preamples

Revision 1.30  2003/02/05 12:54:38  ggodlewski
- added translations from original allegro spec

Revision 1.29  2003/02/05 12:54:00  ggodlewski
- added translations from original allegro spec

Revision 1.28  2003/01/29 23:21:00  qboosh
- updated to 4.1.9
- added opt patch to simplify optflags passing (for normal and profiling libs)
- thrown debug and profiling libs to subpackages
- bcond for arts, fixed bcond for alsa, workaround for weak rpm's parser

Revision 1.27  2003/01/29 10:29:18  ggodlewski
- 4.1.7
- digi driver for alsa9 works

Revision 1.26  2002/12/06 15:54:01  ggodlewski
- updated do 4.1.6
- few more modules

Revision 1.25  2002/11/22 00:01:09  wolf
- 4.1.5

Revision 1.24  2002/10/30 09:03:28  kloczek
- release 4.

Revision 1.23  2002/10/29 21:56:54  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.22  2002/10/07 09:36:03  qboosh
- BR: autoconf,automake

Revision 1.21  2002/09/20 00:36:20  wolf
- it's not for X only
- alsa magically appeared
- proper modules.lst
- release 3

Revision 1.20  2002/09/18 07:05:13  marcus
- fixed CFLAGS

Revision 1.19  2002/09/18 06:57:28  marcus
- typo

Revision 1.18  2002/09/18 06:41:02  marcus
- fixed for !ix86
- rel.2. (rel 1. is on ftp for ix86)

Revision 1.17  2002/09/11 21:19:17  wolf
- 4.1.1
- alsa is out - SOD#1
- some missing %%files
- run ldconfig after (un)install
- changed common binary names to more specific ones
- TODO: datafiles for some examples and demo are missing

Revision 1.16  2002/08/22 17:48:43  ggodlewski
- updated to WIP version
- added unsharabled libraries to devel

Revision 1.15  2002/08/16 16:32:57  qboosh
- svgalib on x86 and alpha

Revision 1.14  2002/06/27 15:30:36  ggodlewski
- new packages with test and example programs
- updated to 4.0.2-rc2

Revision 1.13  2002/06/19 12:38:47  marcus
- fixed %%ifarch in %%files

Revision 1.12  2002/06/05 16:18:28  kloczek
- release 1: use new %doc.

Revision 1.11  2002/06/05 11:50:31  marcus
- fixed for !ix86

Revision 1.10  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 15:43:17  arturs
fixed a small typo

Revision 1.8  2002/04/19 08:35:44  wiget
fixed Release:

Revision 1.7  2002/04/19 06:45:53  kloczek
- use svgalib only on %%{ix86}.

Revision 1.6  2002/04/18 11:19:36  ggodlewski
Update to 4.0.1

Revision 1.5  2002/03/27 11:19:25  roman
s/giftware/Giftware in License

Revision 1.4  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/23 03:53:38  kloczek
- updated to 3.9.40,
- added info patch with fix allegro info index entry,
- Group changed to X11/Libraries,
- added texinfo to BuildRequires,
- spec adapterized.

Revision 1.1  2001/11/13 16:20:29  zagrodzki
- initial revision
